#ifndef _DEMO_SNF_H_
#define _DEMO_SNF_H_

#include <windows.h>
#include <stdio.h>
#include <math.h>
#include <GL/gl.h>
#include <GL/glu.h>


/// PONER AQUI EL NOMBRE DE LA DEMO!!!!
#define DEMO_NAME	"clara & diego first demo"
#define FULLSCREEN_QUESTION	"Would You Like To Run " DEMO_NAME " In Fullscreen Mode?"


#define TRUE	1
#define FALSE	0


#define MAX_SPEED_TIME      30


/// PONER AQUI LOS IDENTIFICADOES PARA LAS TEXTURAS
/// DEBEN DE IR NUMERADOS (EMPEZANDO POR 0)
#define TEXTURA_titulo1          0
#define TEXTURA_smile1          1
#define TEXTURA_smile2          2
#define TEXTURA_smile3          3
#define TEXTURA_smile4          4
#define TEXTURA_smile5          5
#define TEXTURA_smile6          6
#define TEXTURA_smile7          7
#define TEXTURA_smile8          8
#define TEXTURA_smile9          9
#define TEXTURA_smile10          10
#define TEXTURA_smile11          11
#define TEXTURA_smile12          12
#define TEXTURA_todos1          13


/// ESTE DEBE SER EL ULTIMO IDENTIFICADOR 
#define MAX_TEXTURES       13

///////////////////////////////////////////////////
// Estructuras necesarias
///////////////////////////////////////////////////
typedef struct
{
	int width;
	int height;
	unsigned char *data;
} TEXTURE_IMAGE;

typedef TEXTURE_IMAGE *P_TEXTURE_IMAGE;							




///////////////////////////////////////////////////
// Variables globales
// CONSEJO: Declararlas como extern......
///////////////////////////////////////////////////
extern GLuint texture[MAX_TEXTURES];
extern P_TEXTURE_IMAGE tex_data[MAX_TEXTURES];


extern int smile1active;
extern int smile2active;
extern int smile3active;
extern int smile4active;
extern int smile5active;
extern int smile6active;
extern int smile7active;
extern int smile8active;
extern int smile9active;
extern int smile10active;
extern int smile11active;
extern int smile12active;

extern int flashblanco;
extern int flashsmile;
extern int s1rotateLeft;
extern int flascolor;
extern int titulo;
extern int todos;



///////////////////////////////////////////////////
// Musica y eventos
///////////////////////////////////////////////////
void initmusic();
void playmusic();
void closemusic();
void refreshevents();



///////////////////////////////////////////////////
// Efectos
///////////////////////////////////////////////////
void xtra_initefect();
void xtra_calcefect(P_TEXTURE_IMAGE p);



///////////////////////////////////////////////////
// Funciones de texturas
///////////////////////////////////////////////////
P_TEXTURE_IMAGE AllocateTextureBuffer(int w, int h);
void DeallocateTexture( P_TEXTURE_IMAGE t );
void ActivarTextura(int id);
void InitTextures();

#endif /*_DEMO_6DOF_H_ */

