#include "demo.h"
#include "minifmod.h"

/// TODAS ESTAS FUNCIONES SON PARA LA MUSICA!!!
static FMUSIC_MODULE *mod;

unsigned int fileopen(const char *name)
{
  return((unsigned int)fopen(name, "rb"));
}

void fileclose(unsigned int handle)
{
  fclose((FILE *)handle);
}

int fileread(void *buffer, int size, unsigned int handle)
{
  return(fread(buffer, 1, size, (FILE *)handle));
}

int fileseek(unsigned int handle, int pos, signed char mode)
{
  return fseek((FILE *)handle, pos, mode);
}

int filetell(unsigned int handle)
{
  return(ftell((FILE *)handle));
}

//*****************************************************************
//*****************************************************************
//*****************************************************************
//*****************************************************************
//*****************************************************************
//*****************************************************************

void initmusic()
{
  FSOUND_File_SetCallbacks(fileopen, fileclose, fileread, fileseek, filetell);
  mod = FMUSIC_LoadSong("data/music.xm", NULL);
}

void closemusic()
{
  FMUSIC_StopSong(mod);
  FMUSIC_FreeSong(mod);
}

void playmusic()
{
  FMUSIC_PlaySong(mod);  
}


//*****************************************************************
// FUNCION QUE SINCRONIZA CON LA MUSICA!!
//*****************************************************************
void refreshevents()
{
    static int fila_anterior = -1;
    int patron, fila;

    patron = FMUSIC_GetOrder(mod);
    fila = FMUSIC_GetRow(mod);

    switch(patron){

    case 0:

        if(fila == 10) smile6active = TRUE; // visible smile 1
		if(fila == 16) smile2active = TRUE; // visible smile 2
		if(fila == 34) smile11active = TRUE; // visible smile 2
		if(fila == 42) smile3active = TRUE; // visible smile 3
		if(fila == 55) smile4active = TRUE, smile5active = TRUE, smile6active = TRUE, \
			smile7active = TRUE, smile8active = TRUE, smile9active = TRUE, smile10active = TRUE, \
			smile11active = TRUE, smile12active = TRUE;
		if(fila == 57) flashblanco = TRUE;
		if(fila == 59) flashsmile = TRUE;
		if(fila == 61) {
			flashblanco = TRUE;
			smile1active = FALSE;
			smile2active = FALSE;
			smile3active = FALSE;
			smile4active = FALSE;
			smile5active = FALSE;
			smile6active = FALSE;
			smile7active = FALSE;
			smile8active = FALSE;
			smile9active = FALSE;
			smile10active = FALSE;
			smile11active = FALSE;
			smile12active = FALSE;

		}

        break;
  
	case 1: 

        if(fila == 3) smile3active = TRUE; // visible smile 1
		if(fila == 10) smile9active = TRUE; // visible smile 2
		if(fila == 34) smile5active = TRUE; // visible smile 2
		if(fila == 42) smile10active = TRUE; // visible smile 3
		if(fila == 55) smile1active = TRUE, smile2active = TRUE, smile4active = TRUE, smile5active = TRUE, smile6active = TRUE, smile7active = TRUE, smile8active = TRUE, \
			smile11active = TRUE, smile12active = TRUE;
		if(fila == 57) flashblanco = TRUE;
		if(fila == 59) flashsmile = TRUE;
		if(fila == 61) {

			flashblanco = TRUE;
			smile1active = FALSE;
			smile2active = FALSE;
			smile3active = FALSE;
			smile4active = FALSE;
			smile5active = FALSE;
			smile6active = FALSE;
			smile7active = FALSE;
			smile8active = FALSE;
			smile9active = FALSE;
			smile10active = FALSE;
			smile11active = FALSE;
			smile12active = FALSE;
		}

        break;

    case 2: // Activamos el blur
        
        if(fila == 3) smile1active = TRUE; // visible smile 1
		if(fila == 10) smile5active = TRUE; // visible smile 2
		if(fila == 34) smile7active = TRUE; // visible smile 2
		if(fila == 42) smile11active = TRUE; // visible smile 3
		if(fila == 55) smile1active = TRUE, smile2active = TRUE, smile4active = TRUE, smile5active = TRUE, smile6active = TRUE, smile7active = TRUE, smile8active = TRUE, \
			smile11active = TRUE, smile12active = TRUE;
		if(fila == 57) flashblanco = TRUE;
		if(fila == 59) flashsmile = TRUE;
		if(fila == 61) {

			flashblanco = TRUE;
			smile1active = FALSE;
			smile2active = FALSE;
			smile3active = FALSE;
			smile4active = FALSE;
			smile5active = FALSE;
			smile6active = FALSE;
			smile7active = FALSE;
			smile8active = FALSE;
			smile9active = FALSE;
			smile10active = FALSE;
			smile11active = FALSE;
			smile12active = FALSE;
		}

        break;

		
    case 3: 
        
        if(fila == 3) smile7active = TRUE; // visible smile 1
		if(fila == 10) smile11active = TRUE; // visible smile 2
		if(fila == 34) smile2active = TRUE; // visible smile 2
		if(fila == 42) smile6active = TRUE; // visible smile 3
		if(fila == 52) {
			smile1active = TRUE, 
			smile2active = TRUE, 
			smile3active = TRUE, 
			smile4active = TRUE, 
			smile5active = TRUE, 
			smile6active = TRUE, 
			smile7active = TRUE, 
			smile8active = TRUE, 
			smile9active = TRUE;
			smile10active = TRUE;
			smile11active = TRUE;
			smile12active = TRUE;
		}
		if(fila == 57) flashblanco = TRUE;
		if(fila == 59) flashsmile = TRUE;
		if(fila == 61) {

			flashblanco = TRUE;
			smile1active = FALSE;
			smile2active = FALSE;
			smile3active = FALSE;
			smile4active = FALSE;
			smile5active = FALSE;
			smile6active = FALSE;
			smile7active = FALSE;
			smile8active = FALSE;
			smile9active = FALSE;
			smile10active = FALSE;
			smile11active = FALSE;
			smile12active = FALSE;
		}
		if(fila == 62) flascolor = TRUE;

        break;

	case 4:

		if(fila == 3) titulo = TRUE;
		if (fila == 35) titulo = FALSE;
		if(fila == 37) todos = TRUE;

		break;

	case 6:

		if(fila == 0) ;
	closemusic(); //salimos
	KillGLWindow();	

		break;
/*
    case 7: // superdiscofashion
        theend = TRUE;
        break;
    }
	*/
	/// RELLENAR...............
	/// .......................
	/// .......................


	default:
		break;
	}
	/// Nos apuntamos la 
    fila_anterior = fila;
}
