#include "demo.h"
#include "paleta.h"

#define PI 3.141592654

unsigned char pla_cosinus[256];
paleta pla_pal;

void xtra_initefect()
{
	int x,y;
	int i;
	char pal[768];

	for (x=0,y=0;x<63*3;x+=3,y++) pal[x]=y;
	for (x=63*3,y=63;x<127*3;x+=3,y--) pal[x]=y;
	for (x=127*3,y=0;x<191*3;x+=3,y++) pal[x+1]=y;
	for (x=191*3,y=191;x<255*3;x+=3,y--) pal[x+1]=y;
	for (i=0;i<768;i+=3)
		SETCOLORPALETA3(pla_pal,i,pal[i]*4,pal[i+1]*4,pal[i+2]*4);

	for (i=0;i<256;i++)
		pla_cosinus[i]=(unsigned char)(30*(cos(i*PI/64)));

}

void xtra_calcefect(P_TEXTURE_IMAGE p)
{
	static unsigned char p1,p2,p3,p4,t1,t2,t3,t4;
	unsigned char col;
	int x,y;
	unsigned int *buf;

	buf = (unsigned int *)p->data;
	t1=p1;
	t2=p2;
	for (y=0;y<256;y++)
	{
		t3=p3;
		t4=p4;
		for (x=0;x<256;x++)
		{
			col=pla_cosinus[t1]+pla_cosinus[t2]+pla_cosinus[t3]+pla_cosinus[t4];
			buf[x+(y*256)]= GETCOLORPALETA(pla_pal, col);
			t3+=1;
			t4+=3;
		}
		t1+=2;
		t2+=1;
	}
	p1+=1;
	p2-=2;
	p3+=3;
	p4-=4;

}

